Bug 1419928 - Options missing for libreoffice documents
Summary: Options missing for libreoffice documents
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-documents
Version: 25
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Debarshi Ray
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1395724 1436688
TreeView+ depends on / blocked
 
Reported: 2017-02-07 12:24 UTC by Martin Krajnak
Modified: 2017-12-12 10:27 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1436688 (view as bug list)
Environment:
Last Closed: 2017-12-12 10:27:34 UTC
Type: Bug


Attachments (Terms of Use)
test file (23.71 KB, application/vnd.oasis.opendocument.text)
2017-02-07 12:24 UTC, Martin Krajnak
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 778281 0 None None None 2017-02-07 12:24:40 UTC

Description Martin Krajnak 2017-02-07 12:24:40 UTC
Created attachment 1248387 [details]
test file

Description of problem:
In previous versions there were options allowing libreoffice documents to rotate document, print document and switch to present mode. These options are missing now but they are still present for msoffice documents.


Version-Release number of selected component (if applicable):
gnome-documents-3.22.0-1.fc25.x86_64


How reproducible:
always

Steps to Reproduce:
1.Open any libre office document
2.Click in the toggle menu in top bar 


Actual results:
Menu contains Open in Libreoffice, Zoom in, Zoom Out and Options

Expected results:
Menu should contain Open in Libreoffice, Present mode, Print,  Rotate ↶, Rotate ↷, Zoom in, Zoom Out and Options

Comment 1 Martin Krajnak 2017-02-08 09:19:30 UTC
It looks like certain msoffice files are also affected: xlsx, pptx and docx

Comment 2 Pranav Kant 2017-02-10 19:22:26 UTC
(In reply to Martin Krajnak from comment #0)
> Created attachment 1248387 [details]
> test file
> 
> Description of problem:
> In previous versions there were options allowing libreoffice documents to
> rotate document, print document and switch to present mode. These options
> are missing now but they are still present for msoffice documents.

I guess from 'previous versions' you meant versions when we used to convert an office document to PDF first and then show it. From 3.20 onwards, we migrated to using LO's shipped gtk widget, LOKDocView, that renders the document for us using LibreOffice installed on your system. This solves couple of problems like incorrect rendering of spreadsheets etc. when converted to PDF.

As far as i can see from commit history, we never supported these mentioned options right from the point we migrated to LOKDocView (cf. e78b6a5c) as the widget was incapable of them. Hence this is a bug against the LibreOffice widget rather than against gnome-documents.

I would split this into two enhancement requests against LOKDocView widget - 

1) Support for print option in the widget
2) Support for rotation

Can you please file them as separate bugs, preferably on https://bugs.documentfoundation.org/ ? If you can't for some reason, let me know and I will do it.

Comment 3 Debarshi Ray 2017-02-23 17:53:25 UTC
Downgraded 'severity'. The benefits of using LOKDocView far outweigh the loss of these options. With exception of printing, the others aren't that commonly used.

As Pranav mentioned in comment 2, we need to file these as RFEs against LOKDocView.

Comment 4 Pranav Kant 2017-02-24 03:33:56 UTC
I have filed the bug upstream - https://bugs.documentfoundation.org/show_bug.cgi?id=106167

For rotation, I am not sure if it would/should be allowed etc. since its an editing area inherrently (which is disabled on the widget level) not any image that you can rotate etc.

Comment 5 Martin Krajnak 2017-02-28 11:33:54 UTC
For me print option is enough. I reported other options because of consistency as other documents have these functions. Thank you for reporting to document foundation.

Comment 6 luigi votta 2017-07-15 16:10:33 UTC
In version 3.24.2 of Fedora 26, clicking on LibreOffice docs, does not visualize them, as does with pdfs. It's possible to open them using the menu button on rigth side.

Comment 7 Fedora End Of Life 2017-11-16 18:48:18 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2017-12-12 10:27:34 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.